DocumentSession
Class defined in model/DocumentSession.js#12 inherits from
new DocumentSession()
Constructor defined in model/DocumentSession.js#14
this.transaction(transformation)
Method defined in model/DocumentSession.js#146

Start a transaction to manipulate the document

Parameters

transformation | function | a function(tx) that performs actions on the transaction document tx

Example

    doc.transaction(function(tx, args) {
      tx.update(...)
      ...
      return {
        selection: newSelection
      }
    })